<template>
    <el-form 
        :model="form"
        :disabled="disabled"
        label-width="130px" 
        size="small"
        style="position: relative"
    >
        <el-card :body-style="{ height: '350px', overflow: 'auto'}">
            <el-form-item label="责任人">
                <el-select v-model="form.correctiveActionId" placeholder="请选择">
                    <el-option
                        v-for="(item, index) in userList"
                        :key="index"
                        :label="item.name"
                        :value="item.id"
                    ></el-option>
                </el-select>
            </el-form-item>
          <el-form-item label="纠正措施">
            <el-input type="textarea"
                      v-model="form.correctiveMeasure"
                      :rows="2"
                      placeholder="请输入内容"
            >
            </el-input>
          </el-form-item>
            <el-form-item label="提出要求部门确认">
              <el-input type="textarea"
                        v-model="form.requestDepartmentConfirmation"
                        :rows="2"
                        placeholder="请输入内容"
              >
              </el-input>
            </el-form-item>
        </el-card>
        <el-form-item label-width="0">
            <div style="display: flex; width: 100%; justify-content: space-between; margin-top: 15px;">
                <div>
                    操作人：{{ currentResponsible }}
                </div>
                <div v-if="step == 2">
                    <el-button :disabled="false" @click="cancel">驳回</el-button>
                    <el-button type="primary" @click="submit">提交</el-button>
                </div>
            </div>
        </el-form-item>
    </el-form>
</template>
<script>
export default {
    props: {
        currentResponsible: {
            type: String,
            default: ''
        },
        measureForm: {
            type: Object,
            default: {}
        },
        userList: {
            type: Array,
            default: []
        },
        step: {
            type: Number,
            default: 0
        },
        disabled: {
            type: Boolean,
            default: false
        }
    },
    computed: {
        form: {
            get() {
                return this.measureForm
            },
            set(val) {
                this.$emit('update:measureForm', val)
            }
        }
    },
    data() {
        return {
           
        }
    },
    methods: {
        submit() {
            this.$emit('nextStep', 'submit')
        },
        save() {
            this.$emit('nextStep', 'save')
        },
        cancel() {
            this.$emit('cancel', 'cancel')
        }
    }
}
</script>